
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>判断ShellExecute函数是否执行完一个程序的方法 / iVAN</title>

    <meta name="description" content="判断ShellExecute函数是否执行完一个程序的方法 ShellExecute是windows的API函数,功能是执行可执行文件(exe)或任何关联文件(doc. txt.xls等).但 ShellExecute是异步执行的,也就是说,不管执行的程序是否成功运行,运 行的时间是长是短,ShellExecute函数都会立即返回.这样虽然可以很好地完成执行程序的工 作,但却会给后续的工作带来麻烦. 例如,当调用bcp命令向sql server导入数据后,在DBGrid中显示这些导入的数据.如果使 用ShellExecute来直接执行bcp命令,很可能会">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">判断ShellExecute函数是否执行完一个程序的方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ShellExecute是windows的API函数，功能是执行可执行文件（exe）或任何关联文件（doc、 txt、xls等）。但 ShellExecute是异步执行的，也就是说，不管执行的程序是否成功运行，运 行的时间是长是短，ShellExecute函数都会立即返回。这样虽然可以很好地完成执行程序的工 作，但却会给后续的工作带来麻烦。</p>
<p>例如，当调用bcp命令向sql server导入数据后，在DBGrid中显示这些导入的数据。如果使 用ShellExecute来直接执行bcp命令，很可能会在数据未完全导入时显示DBGrid。这样就会造成 数据显示不完整或根本显示不出来数据。</p>
<p>要解决这个问题的方法就是使ShellExecute变成同步直接的，解决方法很多，例如，可以判 断弹出的控制台窗口是否已关闭来确定bcp是否执行完。但这样做还会有一些问题，例如，如果 执行根本没有弹出窗口的程序，那这种方法就不起作用了。而本书给出了另一种比较通用的方 法。基本原理是利用了批处理文件的特性。虽然ShellExecute是异步执行的，但批处理是同步 执行的，也就是在.bat、.cmd、.sh（linux/unix）中的命令是一个接一个顺序执行的。因此， 我们可以采用在批处理文件中调用bcp命令的方法来实现同步调用。也就是说，可以在调用bcp 之前，先中当前目录中建立一个文件或空目录，然后调用bcp，最后再删除这个文件或目录。这 样可以通过判断文件或目录是否存在来确定bcp是否执行完成。为了确保在调用 ShellExecute 之前文件一定存在，可以在调用ShellExecute之前在程序中建立一个文件，在批处理中删除这 个文件。下面是一个批处理文件的例子。</p>
<p>批处理文件名：bcp.cmd</p>
<p><code>set　path　=　&lt;bcp.exe的本地路径&gt;/bcp.exe<br />
bcp　%1　in　%2　%3　%4　其他命令行参数<br />
del　temp.txt</code></p>
<p>假设我们使用delphi来通过ShellExecute函数来运行bcp命令，代码如下：</p>
<p><code>FileCreate("temp.txt");<br />
ShellExecute(,"bcp.cmd",,);<br />
while　true　do<br />
begin<br />
　　　 if　temp.txt不存在　then<br />
　　　 begin<br />
　　　　　　 //　　bcp已成功执行<br />
　　　　　　　 break;<br />
　　　 end;<br />
end;<br />
//　　后续的处理代码</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 08:20:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/shellexecute/" title="shellexecute">shellexecute</a>, <a href="https://www.iamivan.net/tag/bcp/" title="bcp">bcp</a>, <a href="https://www.iamivan.net/tag/%e5%88%a4%e6%96%ad%e6%89%a7%e8%a1%8c%e6%88%90%e5%8a%9f/" title="判断执行成功">判断执行成功</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>判断ShellExecute函数是否执行完一个程序的方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0naQnz.html" rel="bookmark">easyui-easyUI里面有什么方法能够执行完一个方法之后立即执行另一个方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 easyUI里面有什么方法能够执行完一个方法之后立即执行另一个方法 在easyUI中需要用一个方法是通过dategrid里面的数据生成一个动态数组,如何能够在加载完dategrid之后立即执行这个方法,获取dategrid里面的数据 解决方案 Flash耗时较长的方法执行完之后再执行另一个方法 as3.0 解决方案二: 初始化的时候加上 onLoadSuccess:function(){ //写你的方法 } $('#dg').datagrid('getData'); //获取加载的所有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwXJKp.html" rel="bookmark">javasciprt下jquery函数&dollar;&period;post执行无响应的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了javasciprt下jquery函数$.post执行无响应的解决方法,需要的朋友可以参考下 在编写javascirpt程序过程中,用$.post方法发送数据,若数据中字符含有'&lt;',将导致$.post无法成功执行.   代码如下: var jsonstr='{&quot;value&quot;:&quot;abcd&lt;efg&quot;}';  $.post(  url,  { &quot;jsonstr&quot;: jsonstr },  function (data,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWNJZmb.html" rel="bookmark">Android编程判断手机上是否安装了某个程序的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程判断手机上是否安装了某个程序的方法.分享给大家供大家参考,具体如下: 1. 首先得到该程序的包名 这个连上手机ADB,看logcat就能看到.比如:QQ客户端的包名是com.tencent.mobileqq. 2. 然后通过PackageManager判断是否存在该包的程序 private boolean isPkgInstalled(String pkgName) { PackageInfo packageInfo = null; try { packageIn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zw7Vmmz.html" rel="bookmark">Android编程实现在一个程序中启动另一个程序的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程实现在一个程序中启动另一个程序的方法.分享给大家供大家参考,具体如下: Android 开发有时需要在一个应用中启动另一个应用,比如Launcher加载所有的已安装的程序的列表,当点击图标时可以启动另一个应用. 一般我们知道了另一个应用的包名和MainActivity的名字之后便可以直接通过如下代码来启动: Intent intent = new Intent(Intent.ACTION_MAIN); intent.addCategory(Intent.CATEG			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxlx5b.html" rel="bookmark">javasciprt下jquery函数&dollar;&period;post执行无响应的解决方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在编写javascirpt程序过程中,用$.post方法发送数据,若数据中字符含有'&lt;',将导致$.post无法成功执行. 复制代码 代码如下: var jsonstr='{&quot;value&quot;:&quot;abcd&lt;efg&quot;}'; $.post( url, { &quot;jsonstr&quot;: jsonstr }, function (data, status) { }); 需要将其转义后再使用,使用下面的transferredChars函数转义后,再传递数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwEnAM.html" rel="bookmark">从main函数进入执行编译java代码的方法与从servelet进入执行编译java代码的方法的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在tomcat用main执行代码public static void main(String[] args) throws Exception {compile();}private synchronized static File compile() throws Exception {String[] args = new String[] { &quot;-d&quot;, System.getProperty(&quot;user.dir&quot;) ,System.getProper			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnw8w0z.html" rel="bookmark">PHP中如何判断exec函数执行成功？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 做一个代码发布的系统,需要用到PHP的exec函数来执行Linux下的命令和git,svn命令,如何判断PHP的exec函数是否执行成功呢? 解决方案 写个PHP文件来做实验: exec函数第一个参数是执行的命令,第二个参数是执行的结果,第三个参数是执行的状态. &lt;?php exec('ls', $log, $status); print_r($log); print_r($status); echo PHP_EOL; 执行这个php文件: 这里$log,$status输出结果如图. 但是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBNq5b.html" rel="bookmark">在一个程序后面运行另一个程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问:怎样在一个程序运行后面运行另一个程序? ●1. 在一个程序里面运行另一个程序的最简单的方法是把它们依次列入一个批处理文件(扩展名为.BAT的文件),在执行该批处理文件时,其中所列程序就会自动运行.在C或DOS中,都没有一种特定的方法来完成&quot;在一个程序结束后运行另一个程序&quot;这样一种函数调用.然而,C提供了两组函数,它们允许一个程序随时可以运行另一个程序,而后者的运行将结束前者的运行.如果你将这样的函数调用放在第一个程序的末尾,就能达到上述目的.C提供的这两组函数是exec()和spa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3N5Pz.html" rel="bookmark">spring &plus;quartz 当每个job执行完，会自动关闭连接吗</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我将quartz注入到spring中,然后由spring去调hibernate的相应方法操作到数据库.quartz中每隔一段时间就触发一个任务,我不清楚Quartz每执行完一个任务,它会不会关闭当前的连接,等到下一个任务需执行时,然后又打开数据库的连接?(如果没有关闭的话,会导致内存溢出,或连接池中的连接用完了(连接会不会还给连接池),其他任务不能执行)			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp57JRb.html" rel="bookmark" class="title">对于百度原创项目我的一些看法</a>
					<div>
						百度最近的原创星火计划应该最受那些用心做站的站长所关注,因为百度这个原创项目对那些用心做站的站长看到一丝的曙光,自己辛苦写的高质量的原创文章终于有机会受到搜索引擎的认可,自己的网站也有了&quot;出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnB1Ap.html" rel="bookmark" class="title">在&period;NET上如何根据字符串动态创建控件</a>
					<div>
						创建|动态|控件|字符串   在.Net上用字符串动态创建控件是通过反射来实现. 首先,利用System.Type.GetType方法,获得字符串中指定的控件的类型实例. 这里需要注意这个字符串的语法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd1JAz.html" rel="bookmark" class="title">网站需要360&deg;诊断</a>
					<div>
						网站是获取搜索引擎流量的重要载体,但是往往事与愿违,在网站综合利用过程中,难免会出现各种各样的问题,需要我们及时进行有效的处理.特别是网站初建和网站运营过程中阶段性的诊断显得非常重要.对于网站全方面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx7wjb.html" rel="bookmark" class="title">如何识别Cisco交换机型号</a>
					<div>
						在网络界,美国思科公司( Cisco System Inc. )可谓无人不知,无人不晓.凭借它的 IOS ( Internet Operating System ), Cisco 公司在多协议路由器市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A8aap.html" rel="bookmark" class="title">使用Delphi启动和关闭外部应用程序</a>
					<div>
						Delphi与Windows平台紧密结合,编译代码快速高效.作为一种可视化的面向对象开发工具,Delphi可以帮助程序员更轻松.更快速地编写各种Windows应用程序.而且通过编程可以方便地调用其它语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNg3lb.html" rel="bookmark" class="title">路径，文件，目录，I&sol;O常见操作汇总（三）</a>
					<div>
						主要内容: 一.路径的相关操作,如判断路径是否合法,路径类型,路径的特定部分,合并路径,系统文件夹路径等内容: 二.相关通用文件对话框,这些对话框可以帮助我们操作文件系统中的文件和目录: 三.文件和目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5APARp.html" rel="bookmark" class="title">office图标显示丢失问题</a>
					<div>
						office图标显示丢失问题   工具/原料 office wps 方法/步骤 一.office 图标丢失 1,重新安装无法修复 2,window 下的install 图标也存在,没有丢失 3,没有中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42wRrM.html" rel="bookmark" class="title">傲游云浏览器双核心对比</a>
					<div>
						  傲游云浏览器是一款非常典型的双核浏览器,很多用户在使用傲游云浏览器的时候,或许只是知道这款浏览器本身是具有双核引擎模式,而对傲游云浏览器的双核,可能不一定有一个比较形象了解.下面我们就将在本文中为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLad0az.html" rel="bookmark" class="title">数码照片色彩校正 处理荧光灯照明照片</a>
					<div>
						标准的荧光灯照明对于高质量彩色摄影来说一直是个大问题.一般荧光灯照明的颜色再现指数(CRI)非常不理想.商业建筑内部最常使用的荧光灯管仍旧会发出那种处处存在的冷白色,其光谱对于摄影而言很糟糕,并且在输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E6Z9M.html" rel="bookmark" class="title">WinXP打开组策略的命令是什么？</a>
					<div>
						  Windows操作系统的组策略是配置计算机中某一些用户组策略的程序,由系统管理员操作控制计算机程序.访问网络资源.操作行为.各种软件设置的最主要工具.电脑管理员可以通过组策略进行诸如:禁止运行指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o830b.html" rel="bookmark" class="title">线AP和无线路由有什么区别？</a>
					<div>
						  就像很多用户很容易混淆无线上网卡和无线网卡一样,很多用户也分不清无线AP和无线路由,小峰便是其中的一位.小峰是一个典型的宅男,最大的爱好就是宅在家里上网,听说通过wifi共享上网可以在家中的任何角 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGkZ7p.html" rel="bookmark" class="title">io-&lbrack;java初学&rsqb;求教为什么这样写不能退出while循环</a>
					<div>
						问题描述 [java初学]求教为什么这样写不能退出while循环 package io;import java.io.BufferedReader;import java.io.InputStream ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwoJKp.html" rel="bookmark" class="title">Flink类型系统的根及基本接口</a>
					<div>
						之前我们谈到了Flink通过自主管理内存的方式来,避免了让JVM管理内存带来的一些问题.自主管理内存之后,JVM中原生的类型也就不适合使用了.因此Flink也对Java的类型进行了扩展,这就是我们本节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kvoBM.html" rel="bookmark" class="title">string-java字符串中求字串的个数。求大神指点。谢谢</a>
					<div>
						问题描述 java字符串中求字串的个数.求大神指点.谢谢 package z_1; public class Z_4 { /* * 计算某个字符串在另一个字符串中出现的次数 */ public sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6wWaz.html" rel="bookmark" class="title">《Android多媒体应用开发实战详解：图像、音频、视频、2D和3D》&mdash;&mdash;2&period;1节简析Android安装文件</a>
					<div>
						2.1 简析Android安装文件 Android多媒体应用开发实战详解:图像.音频.视频.2D和3D 当下载并安装Android后,会在其安装目录中看到一些安装文件.了解这些文件具体是干什么用的,对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwYl7p.html" rel="bookmark" class="title">购物车怎么写</a>
					<div>
						问题描述 购物车的代码怎么写请大家帮我.... 解决方案 解决方案二://物品类publicclassStore{privateintid;privatestringname;privatefloat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRoqZp.html" rel="bookmark" class="title">海力士12英寸半导体封装厂落地无锡</a>
					<div>
						王如晨 &quot;羡慕江苏啊,上海半导体产业在国内已经不是老大了.&quot;昨天,上海集成电路行业协会秘书长蒋守雷有些遗憾地对CBN记者说. 他显然有感而发.因为,江苏省半导体产业的发展正此起彼伏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKL0Bb.html" rel="bookmark" class="title">红米2黑屏时WiFi自动断开如何取消</a>
					<div>
						第一步:我们只要在红米设置中找到 wlan设置 进入 第二步:在弹出菜单中我们选择高级 如下图所示 第三步:选择wlan休眠策略 如有永久,仅退充电时,从不几个选项 注意:部分软件为了帮你手机省电,有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB19dkz.html" rel="bookmark" class="title">AVS数字视频国家实验室落户广州</a>
					<div>
						6月10日消息,广州市与北京大学在广州大学城国家数字家庭应用示范产业基地近日签约共建&quot;数字视频编解码技术国家工程实验室广州研究开发与产业化中心&quot;,此举意味着以AVS为核心数字视频编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3J9J3z.html" rel="bookmark" class="title">java 多态性 例题《Head first java》</a>
					<div>
						问题描述 java 多态性 例题&lt;Head first java&gt; 刚初学java,问一个&lt;Head first java&gt;的例题 class A{ int ivar=7: v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEnN3M.html" rel="bookmark" class="title">蓝牙-无线体域网中的路径损耗模型怎么设计？</a>
					<div>
						问题描述 无线体域网中的路径损耗模型怎么设计? 无线体域网中体表到体表的信道模型有哪些?路径损耗模型怎么设计?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB1BBz.html" rel="bookmark" class="title">mfc-简单的实例函数调用MFC</a>
					<div>
						问题描述 简单的实例函数调用MFC 实例地址:http://blog.csdn.net/one_in_one/article/details/26372981 函数调用是这句: BEGIN_EVENT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBNXkz.html" rel="bookmark" class="title">aspose&period;word 如何设置版式模式为&OpenCurlyDoubleQuote;只指定行网格&rdquo;</a>
					<div>
						问题描述 aspose.word 如何设置版式模式为&quot;只指定行网格&quot; 在c#中使用aspose.word.dll组件,请问aspose.word 如何设置版式模式为&quot;只指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvAPWM.html" rel="bookmark" class="title">问个log4j的应用一个问题。</a>
					<div>
						问题描述 我看了hibernate等应用log4j的框架源码,有些类都有下面这句代码Logger log=Logger.getLogger(XXX.class);我想知道的是用到log4j的类就需要这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GXJxM.html" rel="bookmark" class="title">TeamCity 2017&period;1&period;2 发布，持续集成工具</a>
					<div>
						TeamCity 2017.1.2 发布了. TeamCity 是一款功能强大的持续集成(Continue Integration)工具,包括服务器端和客户端,目前支持 Java,.Net 项目开发. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdkokz.html" rel="bookmark" class="title">《实施Cisco统一通信管理器（CIPT2）》&mdash;&mdash;1&period;2 概述部署多站点环境时将会遇到的挑战</a>
					<div>
						1.2 概述部署多站点环境时将会遇到的挑战 实施Cisco统一通信管理器(CIPT2)在多站点部署环境中,设计者有可能要面临如下挑战. 质量问题:语音和视频的实时通信必须在包交换网络得到优先处理.然而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6qm0yb.html" rel="bookmark" class="title">12306网站28日调整订票起售时间&comma;动车高铁不再单独起售</a>
					<div>
						12306网站28日调整订票起售时间,动车高铁不再单独起售11月27日消息,12306网站发布公告,称自2014年11月28日起, 铁路部门将对互联网.电话订票的起售时间进行调整,动车高铁不再单独起售 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M19J9rM.html" rel="bookmark" class="title">macbook上的eclipse打不开</a>
					<div>
						问题描述 我用的是苹果的山狮系统10.8.4,下载的eclipse也是mac os版最新的版本,解压开来后,进入eclipse的目录之后,双击eclipse图标,怎么双击都没用,没反应.以前刚开始的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDjrqBM.html" rel="bookmark" class="title">意马国际：梁伯韬和荣智健开始新&OpenCurlyDoubleQuote;荣梁配&rdquo;？</a>
					<div>
						4月29日,是意马国际配股权最后一个交易日. 但截至当日收盘,其配股权的价格仍只有每股0.48港元,加上每股0.07港元的行权价,总配股成本也不过0.55港元.而意马国际正股的股价却收于每股1.05港 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj2ZLNb.html" rel="bookmark" class="title">Orange将软件定义广域网引入混合网络</a>
					<div>
						近日,Orange Business Services借助合作伙伴Riverbed Technology的软件定义广域网(SD-WAN)技术,推出全新的解决方案,进一步强化自己的混合网络产品.全新的解 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
